# eoCountedStateSaver Class Reference

an eoUpdater that saves a state every given generations More...

`#include <eoUpdater.h>`

Inheritance diagram for eoCountedStateSaver:

List of all members.

## Public Member Functions

| eoCountedStateSaver (unsigned _interval, const eoState &_state, std::string _prefix, bool _saveOnLastCall, std::string _extension="sav", unsigned _counter=0)
| eoCountedStateSaver (unsigned _interval, const eoState &_state, std::string _prefix="state", std::string _extension="sav", unsigned _counter=0)
virtual void | lastCall (void)
void | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const

## Private Member Functions

void | doItNow (void)

## Private Attributes

const eoState & | state
const unsigned | interval
unsigned | counter
bool | saveOnLastCall
const std::string | prefix
const std::string | extension

## Detailed Description

an eoUpdater that saves a state every given generations

Definition at line 127 of file eoUpdater.h.

The documentation for this class was generated from the following files:

- eoUpdater.h
- eoUpdater.cpp